/*
Module : DTIME.cpp
Purpose: Defines the initialization routines for the DLL.
Created: PJN / DATE/1 / 22-02-1996
History: None

Copyright (c) 1995 by PJ Naughter.  
All rights reserved.

*/

/////////////////////////////////  Includes  //////////////////////////////////
#include "stdafx.h"  
#include "dtime.h"


/////////////////////////////////  Macros  ////////////////////////////////////
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif         



/////////////////////////////// Implementation ////////////////////////////////
WORD GetDTimeVersion()
{
  return 0x0215;  //ie 2.21     

  /* Revision History

  v1.0   Original Release
  v1.1   Port to Win16, Dos                                                          
                                                                      
  v1.11  Minor tweaks, Translation to German                                 
                                                                      
  v2.0   UI Enhancements, Close Integration with Win32 NLSAPI,               
         Dropped support for DOS, Win16 and Win32s,                          
         Numerous bug fixes to underlying classes                            
                                                                
  v2.1   v2.0 translation to German,                                         
         addition of a new CDate constructor                                 
         number of other minor tweaks                                        
         major enhancement of data entry methods                             
                                                                
  v2.2   Modification to serialize functions to save space on disk.

         Replaced use of AFX_EXT_API and AFX_EXT_CLASS to allow
         use of DTime in another extension dll

         Added support for using the DTime source code directly in
         your application instead of through an Extension DLL

         Added a DTIME_NO_OLE_SUPPORT macro which removes the dependency
         of DTime on the MFC OLE dlls. Note that this can only be
         used if you include the DTime source code directly in 
         your application (See help file for full details)

         Changed the load address of all variants of the DTime dll. This
         reduces the occurances of dll collisions at process load up time.

         Made DTime compatible with VC++ 5.0

         Added support in DTime for propalactive Julian and Gregorian Calendars

         Added support for converting from a CLDate to COleDateTime

  v2.21  Patch to fix a problem detected when using the CDate class in a multithreaded
         environment, specifically a global array was being used which can be
         unexpectedly from both threads at the same time.
  */
}

void AboutDTime()
{
  CDTimeDlg dlg;
  dlg.DoModal();
}


